OpenSubdiv: Array< TYPE > Class Template Reference

| OpenSubdiv

Loading...
Searching...
No Matches
Array< TYPE > Class Template Reference

`#include <array.h>`

Inheritance diagram for Array< TYPE >:

## Public Types
typedef TYPE | value_type
typedef int | size_type
typedef TYPE const & | const_reference
typedef TYPE & | reference
typedef TYPE * | iterator
Public Types inherited from ConstArray< TYPE >
typedef TYPE | value_type
typedef int | size_type
typedef TYPE const & | const_reference
typedef TYPE const * | const_iterator
typedef TYPE & | reference
typedef TYPE * | iterator

## Public Member Functions
| Array ()
| Array (value_type *ptr, size_type sizeArg)
const_reference | operator[] (int index) const
reference | operator[] (int index)
iterator | begin ()
iterator | end ()
Public Member Functions inherited from ConstArray< TYPE >
| ConstArray ()
| ConstArray (value_type const *ptr, size_type sizeArg)
size_type | size () const
bool | empty () const
const_reference | operator[] (int index) const
const_iterator | begin () const
const_iterator | end () const
size_type | FindIndexIn4Tuple (value_type value) const
size_type | FindIndex (value_type value) const

## Additional Inherited Members
Protected Attributes inherited from ConstArray< TYPE >
value_type const * | _begin
size_type | _size

## Detailed Description

template<typename TYPE>
class OpenSubdiv::OPENSUBDIV_VERSION::Vtr::Array< TYPE >

Definition at line 88 of file array.h.

## Member Typedef Documentation

## ◆ const_reference

template<typename TYPE>

typedef TYPE const& const_reference

Definition at line 94 of file array.h.

## ◆ iterator

template<typename TYPE>

typedef TYPE* iterator

Definition at line 97 of file array.h.

## ◆ reference

template<typename TYPE>

typedef TYPE& reference

Definition at line 96 of file array.h.

## ◆ size_type

template<typename TYPE>

typedef int size_type

Definition at line 92 of file array.h.

## ◆ value_type

template<typename TYPE>

typedef TYPE value_type

Definition at line 91 of file array.h.

## Constructor & Destructor Documentation

## ◆ Array() [1/2]

template<typename TYPE>

Array | ( |  | ) |
| inline

Definition at line 101 of file array.h.

## ◆ Array() [2/2]

template<typename TYPE>

Array | ( | value_type * | ptr,
|  | size_type | sizeArg )
| inline

Definition at line 103 of file array.h.

## Member Function Documentation

## ◆ begin()

template<typename TYPE>

iterator begin | ( |  | ) |
| inline

Definition at line 115 of file array.h.

## ◆ end()

template<typename TYPE>

iterator end | ( |  | ) |
| inline

Definition at line 119 of file array.h.

## ◆ operator[]() [1/2]

template<typename TYPE>

reference operator[] | ( | int | index | ) |
| inline

Definition at line 111 of file array.h.

## ◆ operator[]() [2/2]

template<typename TYPE>

const_reference operator[] | ( | int | index | ) | const
| inline

Definition at line 107 of file array.h.

The documentation for this class was generated from the following file:

- opensubdiv/vtr/array.h